Package docking.options.editor

# Class OptionsDialog

java.lang.Object
docking.DialogComponentProvider
docking.ReusableDialogComponentProvider
docking.options.editor.OptionsDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class OptionsDialog extends ReusableDialogComponentProvider
Dialog for editing options within a tool.

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OptionsDialog(String title, String rootNodeName, Options[] options, OptionsEditorListener listener)`
  Construct a new OptionsDialog.
  `OptionsDialog(String title, String rootNodeName, Options[] options, OptionsEditorListener listener, boolean showRestoreDefaultsButton)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `applyCallback()`
  The callback method for when the "Apply" button is pressed.
  `protected void`
  `cancelCallback()`
  The callback method for when the "Cancel" button is pressed.
  `void`
  `displayCategory(String category, String filterText)`
  `void`
  `dispose()`
  Disposes this dialog.
  `TreePath`
  `getSelectedPath()`
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `void`
  `setSelectedPath(TreePath path)`

  ### Methods inherited from class docking.ReusableDialogComponentProvider

  `close`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, createSharedActions, dialogClosed, dialogShown, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OptionsDialog

    public OptionsDialog(String title, String rootNodeName, Options[] options, OptionsEditorListener listener)
    Construct a new OptionsDialog.
    Parameters:
      `title` - dialog title
      `rootNodeName` - name to display for the root node in the tree
      `options` - editable options
      `listener` - listener notified when the apply button is hit.

  - ### OptionsDialog

    public OptionsDialog(String title, String rootNodeName, Options[] options, OptionsEditorListener listener, boolean showRestoreDefaultsButton)

- ## Method Details

  - ### dispose

    public void dispose()
    Description copied from class: `DialogComponentProvider`
    Disposes this dialog. Only call this when the dialog is no longer used. Calling this method will close the dialog if it is open.
    Overrides:
      `dispose` in class `ReusableDialogComponentProvider`

  - ### getSelectedPath

    public TreePath getSelectedPath()

  - ### setSelectedPath

    public void setSelectedPath(TreePath path)

  - ### cancelCallback

    protected void cancelCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "Cancel" button is pressed. The default behavior is to call setVisible(false) and dispose() on the dialog.
    Overrides:
      `cancelCallback` in class `DialogComponentProvider`

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### applyCallback

    protected void applyCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "Apply" button is pressed.
    Overrides:
      `applyCallback` in class `DialogComponentProvider`

  - ### displayCategory

    public void displayCategory(String category, String filterText)